Warning when creating PluginLibrary in TW 5.1.23 pr

68 views
Skip to first unread message

Mohammad

unread,
Nov 15, 2020, 12:14:23 PM11/15/20
to TiddlyWikiDev
I am trying to make a Plugin Library Using the below script

{
"description": "TiddlyWiki Plugin Library",
"plugins": [
"tiddlywiki/pluginlibrary",
        "kookma/commander",
        "kookma/favorites",
        "kookma/pinboard",
        "kookma/searchwikis",
        "kookma/shiraz",
        "kookma/slider",
        "kookma/solution",
        "kookma/toc",
        "kookma/todolist",
        "kookma/trashbin",
        "kookma/utility"
],
"themes": [
                "tiddlywiki/vanilla",
                "tiddlywiki/snowwhite"
],
"includeWikis": [
],
"build": {
"library": [
"--makelibrary","$:/UpgradeLibrary",
    "--savelibrarytiddlers","$:/UpgradeLibrary","[prefix[$:/plugins/kookma]]","recipes/library/tiddlers/","$:/UpgradeLibrary/List",
    "--savetiddler","$:/UpgradeLibrary/List","recipes/library/tiddlers.json",
"--rendertiddler","$:/plugins/tiddlywiki/pluginlibrary/library.template.html","index.html","text/plain"]
}
}


I get the following warning

Warning: .multids file contains multiple definitions for $:/language/ControlPanel/<$button set="$

Interestingly, there is no warning if I use Tiddlywiki 5.1.22! What is going wrong here?

--Mohammad

Jeremy Ruston

unread,
Nov 16, 2020, 11:56:36 AM11/16/20
to TiddlyWikiDev
Hi Mohammad

That looks like there's a corrupt .multids file, perhaps core/language/en-GB/ControlPanel.multids

Best wishes

Jeremy

Mohammad

unread,
Nov 16, 2020, 1:23:38 PM11/16/20
to TiddlyWikiDev
Hi Jeremy,
To make sure I have downloaded the latest TW 5.1.23 again from GitHub, deleting the previous version and install the new one on my computer. 
The error is still there. So, it seems something going wrong with core!

p.s: My test with TW 5.1.22 works fine with no warning.

Best
Mohammad

saq.i...@gmail.com

unread,
Nov 17, 2020, 6:03:03 PM11/17/20
to TiddlyWikiDev
I can confirm that the problem exists.

It seems to arise at this commit though I don't see anything problematic in it:

saq.i...@gmail.com

unread,
Nov 17, 2020, 6:23:18 PM11/17/20
to TiddlyWikiDev
I think I have narrowed the problem down to lines 3-15 in the arabic translation:


To reproduce the problem using just the core:

node tiddlywiki.js editions/pluginlibrary/ --build library

Mohammad

unread,
Nov 18, 2020, 12:48:45 AM11/18/20
to TiddlyWikiDev
Thank you Saq! 

I hope Jeremy have a look and correct the issue!

Mohammad

Jeremy Ruston

unread,
Nov 18, 2020, 11:36:44 AM11/18/20
to tiddly...@googlegroups.com
Thanks Mohammad, Saq,

I’ve posted a fix here:


Best wishes

Jeremy.


--
You received this message because you are subscribed to the Google Groups "TiddlyWikiDev" group.
To unsubscribe from this group and stop receiving emails from it, send an email to tiddlywikide...@googlegroups.com.
To view this discussion on the web visit https://groups.google.com/d/msgid/tiddlywikidev/72777bde-4a96-4214-bf26-1652e2787bdan%40googlegroups.com.

Mohammad

unread,
Nov 19, 2020, 12:15:44 AM11/19/20
to TiddlyWikiDev
Hi Jeremy,
 I have tested with new fix and I can confirm the issue has gone!

Thank you

Reply all
Reply to author
Forward
0 new messages